/**
 * Demo JS for fontIconPicker
 */
jQuery(document).ready(function($) {


    var fnt_icons_categorized = {
        'Font Awesome' : ["fa-adjust", "fa-adn", "fa-align-center", "fa-align-justify", "fa-align-left", "fa-align-right", "fa-ambulance", "fa-anchor", "fa-android", "fa-angellist", "fa-angle-double-down", "fa-angle-double-left", "fa-angle-double-right", "fa-angle-double-up", "fa-angle-down", "fa-angle-left", "fa-angle-right", "fa-angle-up", "fa-apple", "fa-archive", "fa-area-chart", "fa-arrow-circle-down", "fa-arrow-circle-left", "fa-arrow-circle-o-down", "fa-arrow-circle-o-left", "fa-arrow-circle-o-right", "fa-arrow-circle-o-up", "fa-arrow-circle-right", "fa-arrow-circle-up", "fa-arrow-down", "fa-arrow-left", "fa-arrow-right", "fa-arrow-up", "fa-arrows", "fa-arrows-alt", "fa-arrows-h", "fa-arrows-v", "fa-asterisk", "fa-at", "fa-automobile", "fa-backward", "fa-ban", "fa-bank", "fa-bar-chart", "fa-bar-chart-o", "fa-barcode", "fa-bars", "fa-bed", "fa-beer", "fa-behance", "fa-behance-square", "fa-bell", "fa-bell-o", "fa-bell-slash", "fa-bell-slash-o", "fa-bicycle", "fa-binoculars", "fa-birthday-cake", "fa-bitbucket", "fa-bitbucket-square", "fa-bitcoin", "fa-bold", "fa-bolt", "fa-bomb", "fa-book", "fa-bookmark", "fa-bookmark-o", "fa-briefcase", "fa-btc", "fa-bug", "fa-building", "fa-building-o", "fa-bullhorn", "fa-bullseye", "fa-bus", "fa-buysellads", "fa-cab", "fa-calculator", "fa-calendar", "fa-calendar-o", "fa-camera", "fa-camera-retro", "fa-car", "fa-caret-down", "fa-caret-left", "fa-caret-right", "fa-caret-square-o-down", "fa-caret-square-o-left", "fa-caret-square-o-right", "fa-caret-square-o-up", "fa-caret-up", "fa-cart-arrow-down", "fa-cart-plus", "fa-cc", "fa-cc-amex", "fa-cc-discover", "fa-cc-mastercard", "fa-cc-paypal", "fa-cc-stripe", "fa-cc-visa", "fa-certificate", "fa-chain", "fa-chain-broken", "fa-check", "fa-check-circle", "fa-check-circle-o", "fa-check-square", "fa-check-square-o", "fa-chevron-circle-down", "fa-chevron-circle-left", "fa-chevron-circle-right", "fa-chevron-circle-up", "fa-chevron-down", "fa-chevron-left", "fa-chevron-right", "fa-chevron-up", "fa-child", "fa-circle", "fa-circle-o", "fa-circle-o-notch", "fa-circle-thin", "fa-clipboard", "fa-clock-o", "fa-close", "fa-cloud", "fa-cloud-download", "fa-cloud-upload", "fa-cny", "fa-code", "fa-code-fork", "fa-codepen", "fa-coffee", "fa-cog", "fa-cogs", "fa-columns", "fa-comment", "fa-comment-o", "fa-comments", "fa-comments-o", "fa-compass", "fa-compress", "fa-connectdevelop", "fa-copy", "fa-copyright", "fa-credit-card", "fa-crop", "fa-crosshairs", "fa-css3", "fa-cube", "fa-cubes", "fa-cut", "fa-cutlery", "fa-dashboard", "fa-dashcube", "fa-database", "fa-dedent", "fa-delicious", "fa-desktop", "fa-deviantart", "fa-diamond", "fa-digg", "fa-dollar", "fa-dot-circle-o", "fa-download", "fa-dribbble", "fa-dropbox", "fa-drupal", "fa-edit", "fa-eject", "fa-ellipsis-h", "fa-ellipsis-v", "fa-empire", "fa-envelope", "fa-envelope-o", "fa-envelope-square", "fa-eraser", "fa-eur", "fa-euro", "fa-exchange", "fa-exclamation", "fa-exclamation-circle", "fa-exclamation-triangle", "fa-expand", "fa-external-link", "fa-external-link-square", "fa-eye", "fa-eye-slash", "fa-eyedropper", "fa-facebook", "fa-facebook-f", "fa-facebook-official", "fa-facebook-square", "fa-fast-backward", "fa-fast-forward", "fa-fax", "fa-female", "fa-fighter-jet", "fa-file", "fa-file-archive-o", "fa-file-audio-o", "fa-file-code-o", "fa-file-excel-o", "fa-file-image-o", "fa-file-movie-o", "fa-file-o", "fa-file-pdf-o", "fa-file-photo-o", "fa-file-picture-o", "fa-file-powerpoint-o", "fa-file-sound-o", "fa-file-text", "fa-file-text-o", "fa-file-video-o", "fa-file-word-o", "fa-file-zip-o", "fa-files-o", "fa-film", "fa-filter", "fa-fire", "fa-fire-extinguisher", "fa-flag", "fa-flag-checkered", "fa-flag-o", "fa-flash", "fa-flask", "fa-flickr", "fa-floppy-o", "fa-folder", "fa-folder-o", "fa-folder-open", "fa-folder-open-o", "fa-font", "fa-forumbee", "fa-forward", "fa-foursquare", "fa-frown-o", "fa-futbol-o", "fa-gamepad", "fa-gavel", "fa-gbp", "fa-ge", "fa-gear", "fa-gears", "fa-genderless", "fa-gift", "fa-git", "fa-git-square", "fa-github", "fa-github-alt", "fa-github-square", "fa-gittip", "fa-glass", "fa-globe", "fa-google", "fa-google-plus", "fa-google-plus-square", "fa-google-wallet", "fa-graduation-cap", "fa-gratipay", "fa-group", "fa-h-square", "fa-hacker-news", "fa-hand-o-down", "fa-hand-o-left", "fa-hand-o-right", "fa-hand-o-up", "fa-hdd-o", "fa-header", "fa-headphones", "fa-heart", "fa-heart-o", "fa-heartbeat", "fa-history", "fa-home", "fa-hospital-o", "fa-hotel", "fa-html5", "fa-ils", "fa-image", "fa-inbox", "fa-indent", "fa-info", "fa-info-circle", "fa-inr", "fa-instagram", "fa-institution", "fa-ioxhost", "fa-italic", "fa-joomla", "fa-jpy", "fa-jsfiddle", "fa-key", "fa-keyboard-o", "fa-krw", "fa-language", "fa-laptop", "fa-lastfm", "fa-lastfm-square", "fa-leaf", "fa-leanpub", "fa-legal", "fa-lemon-o", "fa-level-down", "fa-level-up", "fa-life-bouy", "fa-life-buoy", "fa-life-ring", "fa-life-saver", "fa-lightbulb-o", "fa-line-chart", "fa-link", "fa-linkedin", "fa-linkedin-square", "fa-linux", "fa-list", "fa-list-alt", "fa-list-ol", "fa-list-ul", "fa-location-arrow", "fa-lock", "fa-long-arrow-down", "fa-long-arrow-left", "fa-long-arrow-right", "fa-long-arrow-up", "fa-magic", "fa-magnet", "fa-mail-forward", "fa-mail-reply", "fa-mail-reply-all", "fa-male", "fa-map-marker", "fa-mars", "fa-mars-double", "fa-mars-stroke", "fa-mars-stroke-h", "fa-mars-stroke-v", "fa-maxcdn", "fa-meanpath", "fa-medium", "fa-medkit", "fa-meh-o", "fa-mercury", "fa-microphone", "fa-microphone-slash", "fa-minus", "fa-minus-circle", "fa-minus-square", "fa-minus-square-o", "fa-mobile", "fa-mobile-phone", "fa-money", "fa-moon-o", "fa-mortar-board", "fa-motorcycle", "fa-music", "fa-navicon", "fa-neuter", "fa-newspaper-o", "fa-openid", "fa-outdent", "fa-pagelines", "fa-paint-brush", "fa-paper-plane", "fa-paper-plane-o", "fa-paperclip", "fa-paragraph", "fa-paste", "fa-pause", "fa-paw", "fa-paypal", "fa-pencil", "fa-pencil-square", "fa-pencil-square-o", "fa-phone", "fa-phone-square", "fa-photo", "fa-picture-o", "fa-pie-chart", "fa-pied-piper", "fa-pied-piper-alt", "fa-pinterest", "fa-pinterest-p", "fa-pinterest-square", "fa-plane", "fa-play", "fa-play-circle", "fa-play-circle-o", "fa-plug", "fa-plus", "fa-plus-circle", "fa-plus-square", "fa-plus-square-o", "fa-power-off", "fa-print", "fa-puzzle-piece", "fa-qq", "fa-qrcode", "fa-question", "fa-question-circle", "fa-quote-left", "fa-quote-right", "fa-ra", "fa-random", "fa-rebel", "fa-recycle", "fa-reddit", "fa-reddit-square", "fa-refresh", "fa-remove", "fa-renren", "fa-reorder", "fa-repeat", "fa-reply", "fa-reply-all", "fa-retweet", "fa-rmb", "fa-road", "fa-rocket", "fa-rotate-left", "fa-rotate-right", "fa-rouble", "fa-rss", "fa-rss-square", "fa-rub", "fa-ruble", "fa-rupee", "fa-save", "fa-scissors", "fa-search", "fa-search-minus", "fa-search-plus", "fa-sellsy", "fa-send", "fa-send-o", "fa-server", "fa-share", "fa-share-alt", "fa-share-alt-square", "fa-share-square", "fa-share-square-o", "fa-shekel", "fa-sheqel", "fa-shield", "fa-ship", "fa-shirtsinbulk", "fa-shopping-cart", "fa-sign-in", "fa-sign-out", "fa-signal", "fa-simplybuilt", "fa-sitemap", "fa-skyatlas", "fa-skype", "fa-slack", "fa-sliders", "fa-slideshare", "fa-smile-o", "fa-soccer-ball-o", "fa-sort", "fa-sort-alpha-asc", "fa-sort-alpha-desc", "fa-sort-amount-asc", "fa-sort-amount-desc", "fa-sort-asc", "fa-sort-desc", "fa-sort-down", "fa-sort-numeric-asc", "fa-sort-numeric-desc", "fa-sort-up", "fa-soundcloud", "fa-space-shuttle", "fa-spinner", "fa-spoon", "fa-spotify", "fa-square", "fa-square-o", "fa-stack-exchange", "fa-stack-overflow", "fa-star", "fa-star-half", "fa-star-half-empty", "fa-star-half-full", "fa-star-half-o", "fa-star-o", "fa-steam", "fa-steam-square", "fa-step-backward", "fa-step-forward", "fa-stethoscope", "fa-stop", "fa-street-view", "fa-strikethrough", "fa-stumbleupon", "fa-stumbleupon-circle", "fa-subscript", "fa-subway", "fa-suitcase", "fa-sun-o", "fa-superscript", "fa-support", "fa-table", "fa-tablet", "fa-tachometer", "fa-tag", "fa-tags", "fa-tasks", "fa-taxi", "fa-tencent-weibo", "fa-terminal", "fa-text-height", "fa-text-width", "fa-th", "fa-th-large", "fa-th-list", "fa-thumb-tack", "fa-thumbs-down", "fa-thumbs-o-down", "fa-thumbs-o-up", "fa-thumbs-up", "fa-ticket", "fa-times", "fa-times-circle", "fa-times-circle-o", "fa-tint", "fa-toggle-down", "fa-toggle-left", "fa-toggle-off", "fa-toggle-on", "fa-toggle-right", "fa-toggle-up", "fa-train", "fa-transgender", "fa-transgender-alt", "fa-trash", "fa-trash-o", "fa-tree", "fa-trello", "fa-trophy", "fa-truck", "fa-try", "fa-tty", "fa-tumblr", "fa-tumblr-square", "fa-turkish-lira", "fa-twitch", "fa-twitter", "fa-twitter-square", "fa-umbrella", "fa-underline", "fa-undo", "fa-university", "fa-unlink", "fa-unlock", "fa-unlock-alt", "fa-unsorted", "fa-upload", "fa-usd", "fa-user", "fa-user-md", "fa-user-plus", "fa-user-secret", "fa-user-times", "fa-users", "fa-venus", "fa-venus-double", "fa-venus-mars", "fa-viacoin", "fa-video-camera", "fa-vimeo-square", "fa-vine", "fa-vk", "fa-volume-down", "fa-volume-off", "fa-volume-up", "fa-warning", "fa-wechat", "fa-weibo", "fa-weixin", "fa-whatsapp", "fa-wheelchair", "fa-wifi", "fa-windows", "fa-won", "fa-wordpress", "fa-wrench", "fa-xing", "fa-xing-square", "fa-yahoo", "fa-yelp", "fa-yen", "fa-youtube", "fa-youtube-play", "fa-youtube-square"],
        'Opal Icons': ["icon-001", "icon-002", "icon-003", "icon-004", "icon-005", "icon-006", "icon-007", "icon-008", "icon-009", "icon-010", "icon-011", "icon-012", "icon-013", "icon-014", "icon-015", "icon-016", "icon-017", "icon-018", "icon-019", "icon-020", "icon-021", "icon-022", "icon-023", "icon-024", "icon-025", "icon-026", "icon-027", "icon-028", "icon-029", "icon-030", "icon-031", "icon-032", "icon-033", "icon-034", "icon-035", "icon-036", "icon-037", "icon-038", "icon-039", "icon-040", "icon-041", "icon-042", "icon-043", "icon-044", "icon-045", "icon-046", "icon-047", "icon-048", "icon-049", "icon-050", "icon-051", "icon-052", "icon-053", "icon-054", "icon-055", "icon-056", "icon-057", "icon-058", "icon-059", "icon-060", "icon-061", "icon-062", "icon-063", "icon-064", "icon-065", "icon-066", "icon-067", "icon-068", "icon-069", "icon-070", "icon-071", "icon-072", "icon-073", "icon-074", "icon-075", "icon-076", "icon-077", "icon-078", "icon-079", "icon-080", "icon-081", "icon-082", "icon-083", "icon-084", "icon-085", "icon-086", "icon-087", "icon-088", "icon-089", "icon-090", "icon-091", "icon-092", "icon-093", "icon-094", "icon-095", "icon-096", "icon-097", "icon-098", "icon-099", "icon-100", "icon-101", "icon-102", "icon-103", "icon-104", "icon-105", "icon-106", "icon-107", "icon-108", "icon-109", "icon-110", "icon-111", "icon-112", "icon-113", "icon-114", "icon-115", "icon-116", "icon-117", "icon-118", "icon-119", "icon-120", "icon-121", "icon-122", "icon-123", "icon-124", "icon-125", "icon-126", "icon-127", "icon-128", "icon-129", "icon-130", "icon-131", "icon-132", "icon-133", "icon-134", "icon-135", "icon-136", "icon-137", "icon-138", "icon-139", "icon-140", "icon-141", "icon-142", "icon-143", "icon-144", "icon-145", "icon-146", "icon-147", "icon-148", "icon-149", "icon-150", "icon-151", "icon-152", "icon-153", "icon-154", "icon-155", "icon-156", "icon-157", "icon-158", "icon-159", "icon-160", "icon-161", "icon-162", "icon-163", "icon-164", "icon-165", "icon-166", "icon-167", "icon-168", "icon-169", "icon-170", "icon-171", "icon-172", "icon-173", "icon-174", "icon-175", "icon-176", "icon-177", "icon-178", "icon-179", "icon-180", "icon-181", "icon-182", "icon-183", "icon-184", "icon-185", "icon-186", "icon-187", "icon-188", "icon-189", "icon-190", "icon-191", "icon-192", "icon-193", "icon-194", "icon-195", "icon-196", "icon-197", "icon-198", "icon-199", "icon-200", "icon-201", "icon-202", "icon-203", "icon-204", "icon-205", "icon-206", "icon-207", "icon-208", "icon-209", "icon-210", "icon-211", "icon-212", "icon-213", "icon-214", "icon-215", "icon-216", "icon-217", "icon-218", "icon-219", "icon-220", "icon-221", "icon-222", "icon-223", "icon-224", "icon-225", "icon-226", "icon-227", "icon-228", "icon-229", "icon-230", "icon-231", "icon-232", "icon-233", "icon-234", "icon-235", "icon-236", "icon-237", "icon-238", "icon-239", "icon-240", "icon-241", "icon-242", "icon-243", "icon-244", "icon-245", "icon-246", "icon-247", "icon-248", "icon-249", "icon-250", "icon-251", "icon-252", "icon-253", "icon-254", "icon-255", "icon-256", "icon-257", "icon-258", "icon-259", "icon-260", "icon-261", "icon-262", "icon-263", "icon-264", "icon-265", "icon-266", "icon-267", "icon-268", "icon-269", "icon-270", "icon-271", "icon-272", "icon-273", "icon-274", "icon-275", "icon-276", "icon-277", "icon-278", "icon-279", "icon-280", "icon-281", "icon-282", "icon-283", "icon-284", "icon-285", "icon-286", "icon-287", "icon-288", "icon-289", "icon-290", "icon-291", "icon-292", "icon-293", "icon-294", "icon-295", "icon-296", "icon-297", "icon-298", "icon-299", "icon-300", "icon-301", "icon-302", "icon-303", "icon-304", "icon-305", "icon-306", "icon-307", "icon-308", "icon-309", "icon-310", "icon-311", "icon-312", "icon-313", "icon-314", "icon-315", "icon-316", "icon-317", "icon-318", "icon-319", "icon-320", "icon-321", "icon-322", "icon-323", "icon-324", "icon-325", "icon-326", "icon-327", "icon-328", "icon-329", "icon-330", "icon-331", "icon-332", "icon-333", "icon-334", "icon-335", "icon-336", "icon-337", "icon-338", "icon-339", "icon-340", "icon-341", "icon-342", "icon-343", "icon-344", "icon-345", "icon-346", "icon-347", "icon-348", "icon-349", "icon-350", "icon-351", "icon-352", "icon-353", "icon-354", "icon-355", "icon-356", "icon-357", "icon-358", "icon-359", "icon-360", "icon-361", "icon-362", "icon-363", "icon-364", "icon-365", "icon-366", "icon-367", "icon-368", "icon-369", "icon-370", "icon-371", "icon-372", "icon-373", "icon-374", "icon-375", "icon-376", "icon-377", "icon-378", "icon-379", "icon-380", "icon-381", "icon-382", "icon-383", "icon-384", "icon-385", "icon-386", "icon-387", "icon-388", "icon-389", "icon-390", "icon-391", "icon-392", "icon-393", "icon-394", "icon-395", "icon-396", "icon-397", "icon-398", "icon-399", "icon-400", "icon-401", "icon-402", "icon-403", "icon-404", "icon-405", "icon-406", "icon-407", "icon-408", "icon-409", "icon-410", "icon-411", "icon-412", "icon-413", "icon-414", "icon-415", "icon-416", "icon-417", "icon-418", "icon-419", "icon-420", "icon-421", "icon-422", "icon-423", "icon-424", "icon-425", "icon-426", "icon-427", "icon-428", "icon-429", "icon-430", "icon-431", "icon-432", "icon-433", "icon-434", "icon-435", "icon-436", "icon-437", "icon-438", "icon-439", "icon-440", "icon-441", "icon-442", "icon-443", "icon-444", "icon-445", "icon-446", "icon-447", "icon-448", "icon-449", "icon-450", "icon-451", "icon-452", "icon-453", "icon-454", "icon-455", "icon-456", "icon-457", "icon-458", "icon-459", "icon-460", "icon-461", "icon-462", "icon-463", "icon-464", "icon-465", "icon-466", "icon-467", "icon-468", "icon-469", "icon-470", "icon-471", "icon-472", "icon-473", "icon-474", "icon-475", "icon-476", "icon-477", "icon-478", "icon-479", "icon-480", "icon-481", "icon-482", "icon-483", "icon-484", "icon-485", "icon-486", "icon-487", "icon-488", "icon-489", "icon-490", "icon-491", "icon-492", "icon-493", "icon-494", "icon-495", "icon-496", "icon-497", "icon-498", "icon-499", "icon-500", "icon-501", "icon-502", "icon-503", "icon-504", "icon-505", "icon-506", "icon-507", "icon-508", "icon-509", "icon-510", "icon-511", "icon-512", "icon-513", "icon-514", "icon-515", "icon-516", "icon-517", "icon-518", "icon-519", "icon-520", "icon-521", "icon-522", "icon-523", "icon-524", "icon-525", "icon-526", "icon-527", "icon-528", "icon-529", "icon-530", "icon-531", "icon-532", "icon-533", "icon-534", "icon-535", "icon-536", "icon-537", "icon-538", "icon-539", "icon-540", "icon-541", "icon-542", "icon-543", "icon-544", "icon-545", "icon-546", "icon-547", "icon-548", "icon-549", "icon-550", "icon-551", "icon-552", "icon-553", "icon-554", "icon-555", "icon-556", "icon-557", "icon-558", "icon-559", "icon-560", "icon-561", "icon-562", "icon-563", "icon-564", "icon-565", "icon-566", "icon-567", "icon-568", "icon-569", "icon-570", "icon-571", "icon-572", "icon-573", "icon-574", "icon-575", "icon-576", "icon-577", "icon-578", "icon-579", "icon-580", "icon-581", "icon-582", "icon-583", "icon-584", "icon-585", "icon-586", "icon-587", "icon-588", "icon-589", "icon-590", "icon-591", "icon-592", "icon-593", "icon-594", "icon-595", "icon-596", "icon-597", "icon-598", "icon-599", "icon-600", "icon-601", "icon-602", "icon-603", "icon-604", "icon-605", "icon-606", "icon-607", "icon-608", "icon-609", "icon-610", "icon-611", "icon-612", "icon-613", "icon-614", "icon-615", "icon-616", "icon-617", "icon-618", "icon-619", "icon-620", "icon-621", "icon-622", "icon-623", "icon-624", "icon-625", "icon-626", "icon-627", "icon-628", "icon-629", "icon-630", "icon-631", "icon-632", "icon-633", "icon-634", "icon-635", "icon-636", "icon-637", "icon-638", "icon-639", "icon-640", "icon-641", "icon-642", "icon-643", "icon-644", "icon-645", "icon-646", "icon-647", "icon-648", "icon-649", "icon-650", "icon-651", "icon-652", "icon-653", "icon-654", "icon-655", "icon-656", "icon-657", "icon-658", "icon-659", "icon-660", "icon-661", "icon-662", "icon-663", "icon-664", "icon-665", "icon-666", "icon-667", "icon-668", "icon-669", "icon-670", "icon-671", "icon-672", "icon-673", "icon-674", "icon-675", "icon-676", "icon-677", "icon-678", "icon-679", "icon-680", "icon-681", "icon-682", "icon-683", "icon-684", "icon-685", "icon-686", "icon-687", "icon-688", "icon-689", "icon-690", "icon-691", "icon-692", "icon-693", "icon-694", "icon-695", "icon-696", "icon-697", "icon-698", "icon-699", "icon-700", "icon-701", "icon-702", "icon-703", "icon-704", "icon-705", "icon-706", "icon-707", "icon-708", "icon-709", "icon-710", "icon-711", "icon-712", "icon-713", "icon-714", "icon-715", "icon-716", "icon-717", "icon-718", "icon-719", "icon-720", "icon-721", "icon-722", "icon-723", "icon-724", "icon-725", "icon-726", "icon-727", "icon-728", "icon-729", "icon-730", "icon-731", "icon-732", "icon-733", "icon-734", "icon-735", "icon-736", "icon-737", "icon-738", "icon-739", "icon-740", "icon-741", "icon-742", "icon-743", "icon-744", "icon-745", "icon-746", "icon-747", "icon-748", "icon-749", "icon-750", "icon-751", "icon-752", "icon-753", "icon-754", "icon-755", "icon-756", "icon-757", "icon-758", "icon-759", "icon-760", "icon-761", "icon-762", "icon-763", "icon-764", "icon-765", "icon-766", "icon-767", "icon-768", "icon-769", "icon-770", "icon-771", "icon-772", "icon-773", "icon-774", "icon-775", "icon-776", "icon-777", "icon-778", "icon-779", "icon-780", "icon-781", "icon-782", "icon-783", "icon-784", "icon-785", "icon-786", "icon-787", "icon-788", "icon-789", "icon-790", "icon-791", "icon-792", "icon-793", "icon-794", "icon-795", "icon-796", "icon-797", "icon-798", "icon-799", "icon-800", "icon-801", "icon-802", "icon-803", "icon-804", "icon-805", "icon-806", "icon-807", "icon-808", "icon-809", "icon-810", "icon-811", "icon-812", "icon-813", "icon-814", "icon-815", "icon-816", "icon-817", "icon-818", "icon-819", "icon-820", "icon-821", "icon-822", "icon-823", "icon-824", "icon-825", "icon-826", "icon-827", "icon-828", "icon-829", "icon-830", "icon-831", "icon-832", "icon-833", "icon-834", "icon-835", "icon-836", "icon-837", "icon-838", "icon-839", "icon-840", "icon-841", "icon-842", "icon-843", "icon-844", "icon-845", "icon-846", "icon-847", "icon-848", "icon-849", "icon-850", "icon-851", "icon-852", "icon-853", "icon-854", "icon-855", "icon-856", "icon-857", "icon-858", "icon-859", "icon-860", "icon-861", "icon-862", "icon-863", "icon-864", "icon-865", "icon-866", "icon-867", "icon-868", "icon-869", "icon-870", "icon-871", "icon-872", "icon-873", "icon-874", "icon-875", "icon-876", "icon-877", "icon-878", "icon-879", "icon-880", "icon-881", "icon-882", "icon-883", "icon-884", "icon-885", "icon-886", "icon-887", "icon-888", "icon-889", "icon-890", "icon-891", "icon-892", "icon-893", "icon-894", "icon-895", "icon-896", "icon-897", "icon-898", "icon-899", "icon-900", "icon-901", "icon-902", "icon-903", "icon-904", "icon-905", "icon-906", "icon-907", "icon-908", "icon-909", "icon-910", "icon-911", "icon-912", "icon-913", "icon-914", "icon-915", "icon-916", "icon-917", "icon-918", "icon-919", "icon-920", "icon-921", "icon-922", "icon-923", "icon-924", "icon-925", "icon-926", "icon-927", "icon-928", "icon-929", "icon-930", "icon-931", "icon-932", "icon-933", "icon-934", "icon-935", "icon-936", "icon-937", "icon-938", "icon-939", "icon-940", "icon-941", "icon-942", "icon-943", "icon-944", "icon-945", "icon-946", "icon-947", "icon-948", "icon-949", "icon-950", "icon-951", "icon-952", "icon-953", "icon-954", "icon-955", "icon-956", "icon-957", "icon-958", "icon-959", "icon-960", "icon-961", "icon-962", "icon-963", "icon-964", "icon-965", "icon-966", "icon-967", "icon-968", "icon-969", "icon-970", "icon-971", "icon-972", "icon-973", "icon-974", "icon-975", "icon-976", "icon-977", "icon-978", "icon-979", "icon-980", "icon-981", "icon-982", "icon-983", "icon-984", "icon-985", "icon-986", "icon-987", "icon-988", "icon-989", "icon-990", "icon-991", "icon-992", "icon-993", "icon-994", "icon-995", "icon-996", "icon-997", "icon-998", "icon-999", "icon-1000", "icon-1001", "icon-1002", "icon-1003", "icon-1004", "icon-1005", "icon-1006", "icon-1007", "icon-1008", "icon-1009", "icon-1010", "icon-1011", "icon-1012", "icon-1013", "icon-1014", "icon-1015", "icon-1016", "icon-1017", "icon-1018", "icon-1019", "icon-1020", "icon-1021", "icon-1022", "icon-1023", "icon-1024", "icon-1025", "icon-1026", "icon-1027", "icon-1028", "icon-1029", "icon-1030", "icon-1031", "icon-1032", "icon-1033", "icon-1034", "icon-1035", "icon-1036", "icon-1037", "icon-1038", "icon-1039", "icon-1040", "icon-1041", "icon-1042", "icon-1043", "icon-1044", "icon-1045", "icon-1046", "icon-1047", "icon-1048", "icon-1049", "icon-1050", "icon-1051", "icon-1052", "icon-1053", "icon-1054", "icon-1055", "icon-1056", "icon-1057", "icon-1058", "icon-1059", "icon-1060", "icon-1061", "icon-1062", "icon-1063", "icon-1064", "icon-1065", "icon-1066", "icon-1067", "icon-1068", "icon-1069", "icon-1070", "icon-1071", "icon-1072", "icon-1073", "icon-1074", "icon-1075", "icon-1076", "icon-1077", "icon-1078", "icon-1079", "icon-1080", "icon-1081", "icon-1082", "icon-1083", "icon-1084", "icon-1085", "icon-1086", "icon-1087", "icon-1088", "icon-1089", "icon-1090", "icon-1091", "icon-1092", "icon-1093", "icon-1094", "icon-1095", "icon-1096", "icon-1097", "icon-1098", "icon-1099", "icon-1100", "icon-1101", "icon-1102", "icon-1103", "icon-1104", "icon-1105", "icon-1106", "icon-1107", "icon-1108", "icon-1109", "icon-1110", "icon-1111", "icon-1112", "icon-1113", "icon-1114", "icon-1115", "icon-1116", "icon-1117", "icon-1118", "icon-1119", "icon-1120", "icon-1121", "icon-1122", "icon-1123", "icon-1124", "icon-1125", "icon-1126", "icon-1127", "icon-1128", "icon-1129", "icon-1130", "icon-1131", "icon-1132", "icon-1133", "icon-1134", "icon-1135", "icon-1136", "icon-1137", "icon-1138", "icon-1139", "icon-1140", "icon-1141", "icon-1142", "icon-1143", "icon-1144", "icon-1145", "icon-1146", "icon-1147", "icon-1148", "icon-1149", "icon-1150", "icon-1151", "icon-1152", "icon-1153", "icon-1154", "icon-1155", "icon-1156", "icon-1157", "icon-1158", "icon-1159", "icon-1160", "icon-1161", "icon-1162", "icon-1163", "icon-1164", "icon-1165", "icon-1166", "icon-1167", "icon-1168", "icon-1169", "icon-1170", "icon-1171", "icon-1172", "icon-1173", "icon-1174", "icon-1175", "icon-1176", "icon-1177", "icon-1178", "icon-1179", "icon-1180", "icon-1181", "icon-1182", "icon-1183", "icon-1184", "icon-1185", "icon-1186", "icon-1187", "icon-1188", "icon-1189", "icon-1190", "icon-1191", "icon-1192", "icon-1193", "icon-1194", "icon-1195", "icon-1196", "icon-1197", "icon-1198", "icon-1199", "icon-1200", "icon-1201", "icon-1202", "icon-1203", "icon-1204", "icon-1205", "icon-1206", "icon-1207", "icon-1208", "icon-1209", "icon-1210", "icon-1211", "icon-1212", "icon-1213", "icon-1214", "icon-1215", "icon-1216", "icon-1217", "icon-1218", "icon-1219", "icon-1220", "icon-1221", "icon-1222", "icon-1223", "icon-1224", "icon-1225", "icon-1226", "icon-1227", "icon-1228", "icon-1229", "icon-1230", "icon-1231", "icon-1232", "icon-1233", "icon-1234", "icon-1235", "icon-1236", "icon-1237", "icon-1238", "icon-1239", "icon-1240", "icon-1241", "icon-1242", "icon-1243", "icon-1244", "icon-1245", "icon-1246", "icon-1247", "icon-1248", "icon-1249", "icon-1250", "icon-1251", "icon-1252", "icon-1253", "icon-1254", "icon-1255", "icon-1256", "icon-1257", "icon-1258", "icon-1259", "icon-1260", "icon-1261", "icon-1262", "icon-1263", "icon-1264", "icon-1265", "icon-1266", "icon-1267", "icon-1268", "icon-1269", "icon-1270", "icon-1271", "icon-1272", "icon-1273", "icon-1274", "icon-1275", "icon-1276", "icon-1277", "icon-1278", "icon-1279", "icon-1280", "icon-1281", "icon-1282", "icon-1283", "icon-1284", "icon-1285", "icon-1286", "icon-1287", "icon-1288", "icon-1289", "icon-1290", "icon-1291", "icon-1292", "icon-1293", "icon-1294", "icon-1295", "icon-1296", "icon-1297", "icon-1298", "icon-1299", "icon-1300", "icon-1301", "icon-1302", "icon-1303", "icon-1304", "icon-1305", "icon-1306", "icon-1307", "icon-1308", "icon-1309", "icon-1310", "icon-1311", "icon-1312", "icon-1313", "icon-1314", "icon-1315", "icon-1316", "icon-1317", "icon-1318", "icon-1319", "icon-1320", "icon-1321", "icon-1322", "icon-1323", "icon-1324", "icon-1325", "icon-1326", "icon-1327", "icon-1328", "icon-1329", "icon-1330", "icon-1331", "icon-1332", "icon-1333", "icon-1334", "icon-1335", "icon-1336", "icon-1337", "icon-1338", "icon-1339", "icon-1340", "icon-1341", "icon-1342", "icon-1343", "icon-1344", "icon-1345", "icon-1346", "icon-1347", "icon-1348", "icon-1349", "icon-1350", "icon-1351", "icon-1352", "icon-1353", "icon-1354", "icon-1355", "icon-1356", "icon-1357", "icon-1358", "icon-1359", "icon-1360", "icon-1361", "icon-1362", "icon-1363", "icon-1364", "icon-1365", "icon-1366", "icon-1367", "icon-1368", "icon-1369", "icon-1370", "icon-1371", "icon-1372", "icon-1373", "icon-1374", "icon-1375", "icon-1376", "icon-1377", "icon-1378", "icon-1379", "icon-1380", "icon-1381", "icon-1382", "icon-1383", "icon-1384", "icon-1385", "icon-1386", "icon-1387", "icon-1388", "icon-1389", "icon-1390", "icon-1391", "icon-1392", "icon-1393", "icon-1394", "icon-1395", "icon-1396", "icon-1397", "icon-1398", "icon-1399", "icon-1400", "icon-1401", "icon-1402", "icon-1403", "icon-1404", "icon-1405", "icon-1406", "icon-1407", "icon-1408", "icon-1409", "icon-1410", "icon-1411", "icon-1412", "icon-1413", "icon-1414", "icon-1415", "icon-1416", "icon-1417", "icon-1418", "icon-1419", "icon-1420", "icon-1421", "icon-1422", "icon-1423", "icon-1424", "icon-1425", "icon-1426", "icon-1427", "icon-1428", "icon-1429", "icon-1430"],
  };


    $('.otf-menu-icon .bootstrap-theme').each( function() {
        $(this).fontIconPicker({
            source: fnt_icons_categorized,
            useAttribute: false,
            theme: 'fip-bootstrap',
            emptyIconValue: 'none',
        });

        if($('.otf-menu-icon .fip-icons-container').on('click', function () {
            let parents = $(this).parents('.icons-selector');
            let value = parents.find('.selected-icon i').attr('class');
            $(this).parents('.otf-menu-icon').find('input.otf-icon-value').val(value);

        }));

    });

});
